Create a user
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Request
a new user without 'id'
schemas
Schema URNs.
Allowed values:
userName
User's email.
name
userType
Type of user.
Allowed values:
Response
successfully created user
emails
name
schemas
Allowed values:
userName
User's work email.
active
Hiring status. True if user employment is active. False if employment is not active.
addresses
id
Unique resource id (UUID) defined by Deel.
meta
Resource metadata.
title
Job title.
urn:ietf:params:scim:schemas:extension:2.0:User
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User
userType
User type.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error